<?php

namespace App\Model\Entities\Components\Guide;

use App\Model\Entities\Security\User;
use App\Model\Entities\Components\TextEntryTranslation;
use App\Model\Entities\Components\TextEntryVersion;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 */
class GuideTranslation extends TextEntryTranslation
{
    /**
     * GuideTranslation constructor.
     * @param User $createdBy
     * @param GuideVersion $version
     * @param $language
     */
    public function __construct(User $createdBy, GuideVersion $version, $language)
    {
        parent::__construct($createdBy, $version, $language);
    }

    /**
     * @return \App\Model\Entities\Components\TextEntry
     */
    public function getGuide()
    {
        return $this->textEntry;
    }

    /**
     * @return TextEntryVersion
     */
    public function getGuideVersion()
    {
        return $this->version;
    }

}